<div class="header">
    <div class="wrapper">

        <div class="logo">
            <div class="logo-img"></div>
        </div>

        <div class="header-menu">
            <div class="search">
                <button class="search-btn">
                    <svg class="search-btn__img" fill="none">
                        <path stroke="#979797" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.3"
                            d="M9.06 15.63a6.56 6.56 0 1 0 0-13.13 6.56 6.56 0 0 0 0 13.13ZM13.7 13.7l3.8 3.8" />
                    </svg>
                </button>
                <input class="search-field bg-transparent border border-secondary" type="text" (keyup)="search($event)" placeholder="{{'admin.search' | translate}}">
            </div>

            <div class="header-menu__cabinet">
                <div *ngIf="notifications?.length > 0; else elseHeaderMenu" ngbDropdown>
                    <div class="message">
                        <span class="message__count">
                            {{notifications?.length < 99 ? notifications.length : 99}} </span>
                                <a class="notify-toggle" id="dropdownBasic2" ngbDropdownToggle>
                                    <svg class="bell" width="24" height="24" fill="none">
                                        <path stroke="#0B0B0B" stroke-linecap="round" stroke-linejoin="round"
                                            stroke-width="1.8"
                                            d="M9 21h6M5.27 9.75A6.74 6.74 0 0 1 12.05 3a6.8 6.8 0 0 1 6.68 6.83v.67c0 3.36.7 5.3 1.32 6.37a.75.75 0 0 1-.64 1.13H4.59a.75.75 0 0 1-.64-1.13c.62-1.06 1.32-3.01 1.32-6.37v-.75Z" />
                                    </svg>
                                </a>
                    </div>
                    <div class="shadow notification" ngbDropdownMenu aria-labelledby="dropdownBasic2">
                        <div class="fw-semibold border-bottom pb-2 ps-3">{{'admin.notification' | translate}}</div>
                        <div class="d-flex justify-content-between notify border-bottom py-2" ngbDropdownItem
                            *ngFor="let notify of notifications">
                            <!--[href]="notify?.link"-->
                            <div class="d-flex">
                                <div [class.d-none]="notify?.read"><i class="bi bi-dot text-primary fs-3"></i></div>
                            <a class="d-block small my-auto text-wrap" [href]="notify?.link">{{notify?.message}}</a>
                            </div>
                            <!--Warning: sanitizing  url ([href]="notify?.link")-->
                            <div class="d-flex ms-2 my-auto">
                                <span class="d-block text-muted small">{{notify?.creationDate | date: 'dd MMMM yyyy, HH:mm'}}</span>
                                <a class="ms-3" (click)="deleteNotification(notify?.id)"><i class="bi bi-x-lg"></i></a>
                            </div>
                        </div>
                    </div>
                </div>
                <ng-template #elseHeaderMenu>
                    <svg class="bell" width="24" height="24" fill="none">
                        <path stroke="#0B0B0B" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.8"
                            d="M9 21h6M5.27 9.75A6.74 6.74 0 0 1 12.05 3a6.8 6.8 0 0 1 6.68 6.83v.67c0 3.36.7 5.3 1.32 6.37a.75.75 0 0 1-.64 1.13H4.59a.75.75 0 0 1-.64-1.13c.62-1.06 1.32-3.01 1.32-6.37v-.75Z" />
                    </svg>
                </ng-template>

                <a class="cabinet" href="cabinet/about-me">
                    <div class="cabinet__title">{{user}}</div>
                    <svg class="cabinet__logo" fill="none" viewBox="0 0 24 24">
                        <circle cx="12" cy="10" r="3" stroke="#0B0B0B" stroke-linecap="round" stroke-width="2" />
                        <circle cx="12" cy="12" r="9" stroke="#0B0B0B" stroke-width="2" />
                        <path fill="#0B0B0B"
                            d="M17.78 18.83a.29.29 0 0 0 .13-.36 5.17 5.17 0 0 0-2.13-2.44A7.24 7.24 0 0 0 12 15c-1.37 0-2.7.36-3.78 1.03a5.17 5.17 0 0 0-2.13 2.44c-.06.14 0 .29.13.36a12.01 12.01 0 0 0 11.56 0Z" />
                    </svg>
                </a>

                <div class="ms-2">
                    <select class="form-select w-auto bg-transparent border border-secondary" (change)="changeLan($event)">
                        <option value="kz" [selected]="lang === 'kz'">Қазақ</option>
                        <option value="ru" [selected]="lang === 'ru'">Руский</option>
                        <!-- <option value="en" [selected]="lang === 'en'">English</option> -->
                    </select>
                </div>

            </div>
        </div>
    </div>
</div>